Subject: Re: [bug#69637] [PATCH mesa-updates 0/6] gnu: mesa: Update to 24.0.2.

From: Efraim Flashner <[email-masked]>
Date: Tue, 12 Mar 2024 10:11:45 +0200

On Fri, Mar 08, 2024 at 07:32:39AM -0500, aurtzy wrote:
> Hello!
> 
> This series of patches updates Mesa to the latest stable version with the NVK
> Vulkan driver for NVIDIA GPUs enabled for x86_64 systems.
> 
> Mesa 24.0.2 depends on a newer version of libdrm (>= 2.4.119), which is
> pending in another issue (https://issues.guix.gnu.org/68845).
> 
> Some packages (rust-syn-2.0.39, rust-proc-macro2-1.0.70, rust-quote-1.0.33)
> were added specifically to be used as sources that satisfy explicit versions
> of dependencies required by Mesa (for NVK).  Would it be better to inline
> origins in the change-subproject-sources phase?  The same question also
> applies for the rust-unicode-ident-1 source.

Are there other architectures which have rust based drivers? x86_64
isn't the only architecture which has rust building on it.

> Currently, the Rust dependencies are found in the build by substituting the
> fallback https://* URLs in the relevant ./subprojects/*.wrap files with
> file://*, then relying on the fallback to "download" from the store.  It
> seemed a bit hacky doing it this way, but I'm not aware of a better solution.

The crates are also available in
%output/share/cargo/registry/name-version.crate, although I can't think
of a good way to address them by name without using find-files.

I would personally replace the versions requested by mesa with whatever
version we happen to have in guix so that we don't have to add special
versions just for mesa.

> A newer Meson version is also required for NVK (>= 1.3.0), which this patch
> series adds a new variable for.
> 
> x86_64-linux and i686-linux have been tested to successfully build.
> 
> Cheers,
> 
> aurtzy
> 
> aurtzy (6):
>   gnu: Add meson-1.3.
>   gnu: Add rust-syn-2.0.39.
>   gnu: Add rust-proc-macro2-1.0.70.
>   gnu: Add rust-quote-1.0.33.
>   gnu: Add rust-bindgen-cli-0.69.
>   gnu: mesa: Update to 24.0.2.
> 
>  gnu/packages/build-tools.scm | 14 ++++++
>  gnu/packages/crates-io.scm   | 95 ++++++++++++++++++++++++++++++++++++
>  gnu/packages/gl.scm          | 68 +++++++++++++++++++-------
>  3 files changed, 160 insertions(+), 17 deletions(-)
> 
> 
> base-commit: 0b5cbca689b2f91949e191ca256ffc9bb48c1141
> -- 
> 2.41.0
> 
> 
> 
> 

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted